E2B

List templates (v2)

The v2 path for listing templates.

GET /e2b/v2/templates● Supported

Official E2B docs ↗

Request parameters

  • teamIDstring可选

    query: Identifier of the team

  • nextTokenstring可选

    query: Cursor to start the list from

  • limitinteger可选
    默认 100

    query: Maximum number of items to return per page

Returns

200

Errors follow the E2B format — see error codes

Response

HTTP 200

Successfully returned all templates

application/json

NameTypeDescription
[].templateIDstringIdentifier of the template
[].buildIDstringIdentifier of the last successful build for given template
[].cpuCountintegerCPU cores for the sandbox
[].memoryMBintegerMemory for the sandbox in MiB
[].diskSizeMBintegerDisk size for the sandbox in MiB
[].publicbooleanWhether the template is public or only accessible by the team
[].aliasesarray<string>Aliases of the template
[].namesarray<string>Names of the template (namespace/alias format when namespaced)
[].createdAtstringTime when the template was created
[].updatedAtstringTime when the template was last updated
[].createdByobject
[].createdBy.idstringIdentifier of the user
[].createdBy.emailstringEmail of the user
[].lastSpawnedAtstringTime when the template was last used
[].spawnCountintegerNumber of times the template was used
[].buildCountintegerNumber of times the template was built
[].envdVersionstringVersion of the envd running in the sandbox
[].buildStatusstringStatus of the template build